Error
A valid request URL is required to generate request examples{
"timeElapsedSinceStartInSeconds": 123,
"jobId": "<string>",
"stage": "INIT",
"restreamConfig": {
"debugPause": false,
"destTableNameWithType": "newTableName_REALTIME",
"maxRebalanceTimeMin": 120,
"destServerTenant": "restreamTenant",
"destBrokerTenant": "restreamTenant",
"maxTableStreamLag": 5000,
"tableNameWithType": "tableName_REALTIME"
},
"tableStreamProgress": {
"lastProbedLag": 123,
"lastProbeTimeMs": 123,
"startTime": 123
},
"verboseTableStreamLag": {},
"forceCommitProgress": {
"lastProbeTimeMs": 123,
"startTime": 123,
"totalConsumingSegments": 123,
"consumingSegmentsCommitted": 123
},
"segmentsToBeCommitted": [
"<string>"
]
}Restream
Restream data from a stream to a new table. Then replace the table
Restream a table
POST
/
tables
/
{tableName}
/
restream
Error
A valid request URL is required to generate request examples{
"timeElapsedSinceStartInSeconds": 123,
"jobId": "<string>",
"stage": "INIT",
"restreamConfig": {
"debugPause": false,
"destTableNameWithType": "newTableName_REALTIME",
"maxRebalanceTimeMin": 120,
"destServerTenant": "restreamTenant",
"destBrokerTenant": "restreamTenant",
"maxTableStreamLag": 5000,
"tableNameWithType": "tableName_REALTIME"
},
"tableStreamProgress": {
"lastProbedLag": 123,
"lastProbeTimeMs": 123,
"startTime": 123
},
"verboseTableStreamLag": {},
"forceCommitProgress": {
"lastProbeTimeMs": 123,
"startTime": 123,
"totalConsumingSegments": 123,
"consumingSegmentsCommitted": 123
},
"segmentsToBeCommitted": [
"<string>"
]
}Authorizations
The format of the key is "Basic <token>" or "Bearer <token>"
Path Parameters
Name of the table with type to restream
Query Parameters
Name of the destination table with type
Name of the tenant of the destination table
Name of the tenant of the destination table
Pause at start
Max TableStream Lag
Max Rebalance Time (Mins)
Response
200 - application/json
successful operation
Available options:
INIT, TABLE_STREAM, FORCE_COMMIT, REBALANCE, DONE, FAILED, CANCELLED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

